package com.wdkl.ncs.android.middleware.model.vo;

import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.dos.DeviceDO;

import io.swagger.annotations.ApiModelProperty;

/**
 * @program nc
 * @description:
 * @author: Vothin
 * @create: 2021/04/06 11:09
 */

public class BedDeviceInfoVO extends DeviceVO {

    @Column(name = "hospital_id")
    @ApiModelProperty(value = "医院id", required = false)
    private Integer hospitalId;

    @Column(name = "hospital_name")
    @ApiModelProperty(value = "医院名称", required = false)
    private String hospitalName;

    @Column(name = "part_name")
    @ApiModelProperty(value = "科室名称", required = false)
    private String partName;

    @Column(name = "customer_d")
    @ApiModelProperty(value = "病人id", required = false)
    private Integer customerId;

    @Column(name = "part_display")
    @ApiModelProperty(value = "科室显示名称（科室全称字段）", required = false)
    private String partDisplay;

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getPartName() {
        return partName;
    }

    public void setPartName(String partName) {
        this.partName = partName;
    }

    public Integer getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Integer customerId) {
        this.customerId = customerId;
    }

    public String getPartDisplay() {
        return partDisplay;
    }

    public void setPartDisplay(String partDisplay) {
        this.partDisplay = partDisplay;
    }
}
